Bug 994539 - Adding wathdog card via RESTAPI fails
Adding wathdog card via RESTAPI fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
x86_64 Linux
medium Severity high
: ---
: 3.3.0
Assigned To: Doron Fediuck
Lukas Svaty
http://www.ovirt.org/Features/Watchdo...
sla
: TestBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 09:19 EDT by Lukas Svaty
Modified: 2016-02-10 15:19 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17434 None None None Never

  None (edit)
Description Lukas Svaty 2013-08-07 09:19:06 EDT
Description of problem:
Request for adding watchdog device returns code 405:The specified HTTP method is not allowed for the requested resource.

request:

curl -X POST -H "Accept: application/xml" -H "Content-Type: application/xml"
-u admin@internal:123456 --cacert ca.crt -d
"<watchdog><model>i6300esb</model><action>reset</action></watchdog>"
https://ls-rhevm33.rhev.lab.eng.brq.redhat.com:443/api/vms/947752a1-84a9-4d96-cfb-429b7c7b7920/watchdogs

response:

<html><head><title>JBoss Web/7.2.0.Final-redhat-1 - JBWEB000064: Error
report</title><style><!--H1
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-ize:22px;}
H2
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-ize:16px;}
H3
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;}
BODY
{font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;}
P
{font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A
{color : black;}A.name {color : black;}HR {color : #525D76;}--></style>
</head><body><h1>JBWEB000065: HTTP Status 405 - </h1><HR size="1"
noshade="noshade"><p><b>JBWEB000309: type</b> JBWEB000067: Status
report</p><p><b>JBWEB000068: message</b> <u></u></p><p><b>JBWEB000069:
description</b> <u>JBWEB000125: The specified HTTP method is not allowed for
the requested resource.</u></p><HR size="1" noshade="noshade"><h3>JBoss
Web/7.2.0.Final-redhat-1</h3></body></html>

Version-Release number of selected component (if applicable):
is8

How reproducible:
100%

Steps to Reproduce:
1. add VM to setup
2. try to add watchdog card via restapi
Actual results:
HTML response 405

Expected results:
HTML response 200 and watchdog card added to VM

Additional info:
Nothing is logged in engine.log
Comment 5 Lukas Svaty 2013-09-02 03:21:59 EDT
fixed in release version is13?
Comment 6 Eyal Edri 2013-09-02 03:27:13 EDT
commit was merged before aug 28 - is12 build.
so it's in is12.
Comment 7 Lukas Svaty 2013-09-03 05:13:05 EDT
tested in is12
working with both models
Comment 9 Itamar Heim 2014-01-21 17:24:30 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:25:19 EST
Closing - RHEV 3.3 Released
Comment 11 Itamar Heim 2014-01-21 17:28:52 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.